Error using atlas from numpy

Bug #1346524 reported by feanil on 2014-07-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
atlas (Ubuntu)
Undecided
Unassigned

Bug Description

While trying to use the atlas library from numpy on a machine I ran into the following error described here:

http://stackoverflow.com/questions/14236717/threading-error-using-atlas-in-numpy-under-linux

The issue seems to be that the binary for atlas was compiled on a machine with more cores than my current machine has. This seems to suggest that unless I have the same or more cores than the machine the binary was built on, I won't be able to use the pre-compiled version of atlas with Ubuntu.

For now I switched to using libblas and lapack by choosing them over the atlas versions of the libraries in alternatives.

'sudo update-alternatives --all'

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers